diff -Nru check-all-the-things-2017.05.20/check-font-embedding-restrictions check-all-the-things-2017.05.20+nmu1/check-font-embedding-restrictions
--- check-all-the-things-2017.05.20/check-font-embedding-restrictions	2017-05-08 21:20:41.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/check-font-embedding-restrictions	2019-11-28 23:15:32.000000000 -0500
@@ -1,4 +1,4 @@
-#!/usr/bin/python2
+#!/usr/bin/python3
 
 import fontforge
 import deb822
@@ -38,9 +38,9 @@
 os.close(old)
 
 if embedding_restricted:
-    print 'These fonts in Debian main/contrib have embedding'
-    print 'restrictions, which are not DFSG compatible:'
-    print
-    print '\n'.join(sorted(embedding_restricted))
-    print
-    print 'https://www.microsoft.com/typography/otspec/os2.htm#fst'
+    print('These fonts in Debian main/contrib have embedding')
+    print('restrictions, which are not DFSG compatible:')
+    print()
+    print('\n'.join(sorted(embedding_restricted)))
+    print()
+    print('https://www.microsoft.com/typography/otspec/os2.htm#fst')
diff -Nru check-all-the-things-2017.05.20/data/fonts check-all-the-things-2017.05.20+nmu1/data/fonts
--- check-all-the-things-2017.05.20/data/fonts	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/data/fonts	2019-11-28 23:19:00.000000000 -0500
@@ -18,7 +18,7 @@
 command = ftlint 16 {files} | grep -v ': OK\.$'
 
 [font-embedding-restrictions]
-apt = python, python-fontforge, python-debian
+apt = python3, python3-fontforge, python3-debian
 files = *.ttf *.otf *.sfd *.pfa *.pfb *.bdf *.pk *.ttc *.pcf
 command = check-font-embedding-restrictions {files}
 
diff -Nru check-all-the-things-2017.05.20/data/jpeg2000 check-all-the-things-2017.05.20+nmu1/data/jpeg2000
--- check-all-the-things-2017.05.20/data/jpeg2000	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/data/jpeg2000	2019-11-29 01:05:36.000000000 -0500
@@ -1,6 +1,6 @@
 [jpylyzer]
 flags = images
-apt = python-jpylyzer, libxml2-utils
+apt = python3-jpylyzer, libxml2-utils
 files = *.jp2 *.j2k *.jpf *.jpx *.jpm *.mj2
 types = image/jp2
 command = jpylyzer --wrapper {files} | xmllint --format - | egrep 'fileName|isValid' | tr -d \\n | sed 's_</isValidJP2>_&\n_g;s_ *<fileName>__g;s_</fileName> *__g;s_</\?isValidJP2>_ _g;s_False_is an invalid JPEG2000 file_g' | sed '/True *$/d'
diff -Nru check-all-the-things-2017.05.20/data/misc check-all-the-things-2017.05.20+nmu1/data/misc
--- check-all-the-things-2017.05.20/data/misc	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/data/misc	2019-11-29 01:06:28.000000000 -0500
@@ -5,11 +5,7 @@
 # TODO: is --check=. reasonable?
 
 [suspicious-source]
-# We need:
-#   devscripts (<< 2.13.1~), python-magic
-# or
-#   devscripts (>= 2.13.1~), python3-magic
-apt = devscripts, devscripts (>= 2.13.1~) | python-magic, devscripts (<< 2.13.1~) | python3-magic
+apt = devscripts, devscripts (>= 2.13.1~), python3-magic
 command = suspicious-source
 
 [licensecheck-generated-files]
diff -Nru check-all-the-things-2017.05.20/data/python check-all-the-things-2017.05.20+nmu1/data/python
--- check-all-the-things-2017.05.20/data/python	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/data/python	2019-11-29 01:07:14.000000000 -0500
@@ -61,7 +61,7 @@
 
 [pyroma]
 flags = dangerous fixme fixme-silent
-apt = python-pyroma
+apt = python3-pyroma
 files = ./setup.py
 command = pyroma -d .
 
@@ -73,7 +73,7 @@
 
 [python2-bandit]
 flags = fixme fixme-silent
-apt = python-bandit
+apt = python3-bandit
 files = *.py
 types = text/x-python
 command = python2-bandit -r .
diff -Nru check-all-the-things-2017.05.20/data/sh check-all-the-things-2017.05.20+nmu1/data/sh
--- check-all-the-things-2017.05.20/data/sh	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/data/sh	2019-11-29 01:07:40.000000000 -0500
@@ -16,7 +16,7 @@
 command = shellcheck {files}
 
 [bashate]
-apt = python3-bashate | python-bashate
+apt = python3-bashate
 files = *.sh *.bash
 types = text/x-shellscript
 command = bashate --ignore E002,E003 {files}
diff -Nru check-all-the-things-2017.05.20/data/text check-all-the-things-2017.05.20+nmu1/data/text
--- check-all-the-things-2017.05.20/data/text	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/data/text	2019-11-29 01:07:51.000000000 -0500
@@ -1,12 +1,12 @@
 [rst-lint]
 flags = todo
-apt = python3-restructuredtext-lint | python-restructuredtext-lint
+apt = python3-restructuredtext-lint
 files = *.rst
 comment = rst-lint {files}
 
 [doc8]
 flags = todo
-apt = python3-doc8 | python-doc8
+apt = python3-doc8
 files = *.txt *.text *.rst
 comment = doc8 {files}
 
diff -Nru check-all-the-things-2017.05.20/debian/changelog check-all-the-things-2017.05.20+nmu1/debian/changelog
--- check-all-the-things-2017.05.20/debian/changelog	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/debian/changelog	2019-12-07 17:37:15.000000000 -0500
@@ -1,3 +1,10 @@
+check-all-the-things (2017.05.20+nmu1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Drop python2 support; Closes: #942918, #938986
+
+ -- Sandro Tosi <morph@debian.org>  Sat, 07 Dec 2019 17:37:15 -0500
+
 check-all-the-things (2017.05.20) unstable; urgency=medium
 
   * New release.
diff -Nru check-all-the-things-2017.05.20/debian/control check-all-the-things-2017.05.20+nmu1/debian/control
--- check-all-the-things-2017.05.20/debian/control	2017-05-20 05:33:18.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/debian/control	2019-11-28 23:16:19.000000000 -0500
@@ -7,7 +7,7 @@
  bash-completion,
  debhelper (>= 9),
  help2man,
- python-argcomplete,
+ python3-argcomplete,
  python3,
  python3-apt,
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/check-all-the-things.git
diff -Nru check-all-the-things-2017.05.20/debian/rules check-all-the-things-2017.05.20+nmu1/debian/rules
--- check-all-the-things-2017.05.20/debian/rules	2017-05-08 21:20:41.000000000 -0400
+++ check-all-the-things-2017.05.20+nmu1/debian/rules	2019-11-28 23:17:32.000000000 -0500
@@ -17,6 +17,6 @@
 		--name="Check all of the things!" \
 		./$P \
 		> $P.1
-	register-python-argcomplete check-all-the-things > debian/$P.bash-completion
+	register-python-argcomplete3 check-all-the-things > debian/$P.bash-completion
 	sed -i s/_python_argcomplete/_check_all_the_things_argcomplete/ debian/$P.bash-completion
 	sed -i 's/$$1/check-all-the-things/' debian/$P.bash-completion
